<?
	$is_online = ($this->agency) ? $this->agency->isOnline() : false;
?>

<? if ( $is_online ): ?>
<div class="online-now-icon-pr"></div>
<? endif; ?>

<div id="gallery">
	<div class="gallery-contents">
		<? $m = new Model_AgencyItem($this->agency); ?>	
		<div class="thumb w">
			<a href="<?= $m->getLogoUrlV2($this->agency->photo_hash, $this->agency->photo_ext, 'orig') ?>" rel="lightbox-atomium">
				<img alt="" width="314" height="213" src="<?= ($this->agency->photo_hash) ? $m->getLogoUrlV2($this->agency->photo_hash, $this->agency->photo_ext, 'pl_ed') : _st('pr/agency_no_logo.jpg') ?>" />

				<? if ( ! $this->agency->photo_hash ): ?>
					<span class="i-agency-subtitle an">THIS AGENCY  hasn't uploaded any logo yet</span>
				<? endif; ?>
			</a>		
		</div>

		<? if ( count($this->a_escorts) ): ?>
			<div class="head info">
				<span class="an"><?= __('agency_escorts') ?></span>
				<div class="clear"></div>
			</div>

			<? foreach( $this->a_escorts as $i => $escort ): ?>
			<? $escort = new Model_EscortV2Item($escort); ?>
			<div class="e-thumb-wrap <?= ($i % 2 == 0) ? '' : 'no-margin' ?>">
				<div class="e-thumb">
					<a class="view-profile" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>">
						<img src="<?= $escort->getMainPhoto()->getUrl('e-thumb-agency') ?>" width="130" height="128" />
					</a>
				</div>
				<a class="title an view-profile" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
			</div>
			<? endforeach; ?>
			<div class="clear"></div>
		<? endif; ?>
	</div>		
</div>

<div class="clear"></div>